View Issue Details

IDProjectCategoryView StatusLast Update
0003203SOGoWeb Calendarpublic2015-11-19 09:26
ReporterJens Erat Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.2.16 
Target Version2.3.4Fixed in Version2.3.4 
Summary0003203: Calendar list print view omits appointments from shared calendars
Description

The calendar list print view omits appointments from shared calendars. While the user's own events are printed successfully, events from shared calendars are not displayed.

Steps To Reproduce
  • Alice shares calendar with Bob
  • Bob enables Alice' calendar, opens print view
  • In "daily" and "weekly" view, all events are shown, both his own and Alice' ones
  • In "list" view, only his own appointments are printed, Alice' ones are missing
TagsNo tags attached.

Activities

ludovic

ludovic

2015-05-12 16:15

administrator   ~0008478

Works for me.

ludovic

ludovic

2015-05-12 16:23

administrator   ~0008479

In fact - try setting a color to Alice's calendar, in Bob's account who subscribed to it.

Bob will see Alice's event, will be very happy, and perhaps even ask her to go out for a date with him. Hopefully, that will work out for him - and they will live happily thereafter with their 27 children!

Jens Erat

Jens Erat

2015-05-13 05:17

reporter   ~0008482

Did you really switch to the "list view"?

This problem occurs with both our test server running 2.2.17a and production server running 2.2.16. I attached two screenshots, only difference is the view selected that changed.

Jens Erat

Jens Erat

2015-05-13 05:17

reporter  

week.png (43,105 bytes)   
week.png (43,105 bytes)   
Jens Erat

Jens Erat

2015-05-13 05:17

reporter  

list.png (37,113 bytes)   
list.png (37,113 bytes)   
ethoms

ethoms

2015-11-19 07:31

reporter   ~0009107

Same here on 2.2.14. Everything is perfectly fine in Daily,Weekly,Multi-column views, but List is missing the subscribed calendar. I tested this with minimal test events, as to minimize confusion. These were freshly created, basic events.

The situation is worse on 2.3.3a (I got it from download site, despite not being announced yet). In 2.3.3a, the print view will not show some subcribed calendar events, but others it will. Especially if the events of the user and the subcribed user are on the same day. The list view is completely empty, not even my events.

I've never used this before, so I may be doing something wrong. But I had checked and double checked that I am not missing something.

francis

francis

2015-11-19 09:26

administrator   ~0009114

https://github.com/inverse-inc/sogo/commit/85ce41dc6865c0d08912a2108c855029b0d78c45

Issue History

Date Modified Username Field Change
2015-05-06 07:44 Jens Erat New Issue
2015-05-12 16:15 ludovic Note Added: 0008478
2015-05-12 16:15 ludovic Severity major => minor
2015-05-12 16:23 ludovic Note Added: 0008479
2015-05-13 05:17 Jens Erat Note Added: 0008482
2015-05-13 05:17 Jens Erat File Added: week.png
2015-05-13 05:17 Jens Erat File Added: list.png
2015-05-21 14:22 ludovic Target Version => 2.3.1
2015-07-23 13:44 ludovic Target Version 2.3.1 => 2.3.2
2015-09-16 15:20 ludovic Target Version 2.3.2 => 2.3.3
2015-11-11 09:23 ludovic Target Version 2.3.3 => 2.3.4
2015-11-19 07:31 ethoms Note Added: 0009107
2015-11-19 09:26 francis Note Added: 0009114
2015-11-19 09:26 francis Status new => resolved
2015-11-19 09:26 francis Fixed in Version => 2.3.4
2015-11-19 09:26 francis Resolution open => fixed
2015-11-19 09:26 francis Assigned To => francis